# Generated by Django 4.2.5 on 2023-09-28 17:26

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Offer",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("address", models.CharField(blank=True, default="", max_length=100)),
                (
                    "size",
                    models.CharField(
                        choices=[
                            ("ST", "Studio"),
                            ("1BR", "1 bedroom"),
                            ("2BR", "2 bedrooms"),
                            ("3BR", "3 bedrooms"),
                            ("MBR", "3+ bedrooms"),
                        ],
                        default="1BR",
                        max_length=100,
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        choices=[("H", "house"), ("APT", "apartment")],
                        default="APT",
                        max_length=100,
                    ),
                ),
                ("price", models.PositiveIntegerField(default=0)),
                ("sharing", models.BooleanField(default=False)),
                ("text", models.TextField(default="")),
                (
                    "author",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="offers",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "ordering": ["created"],
            },
        ),
    ]
